Index: trunk/kernel/mm/vmm.c
===================================================================
--- trunk/kernel/mm/vmm.c	(revision 690)
+++ trunk/kernel/mm/vmm.c	(revision 1)
@@ -1,8 +1,9 @@
 /*
- * vmm.c - virtual memory manager related operations implementation.
+ * vmm.c - virtual memory manager related operations interface.
  *
- * Authors   Ghassan Almaless (2008,2009,2010,2011,2012)
- *           Alain Greiner    (2016,2017,2018,2019,2020)
- *
+ * Authors   Ghassan Almaless (2008,2009,2010,2011, 2012)
+ *           Mohamed Lamine Karaoui (2015)
+ *           Alain Greiner (2016)
+ * 
  * Copyright (c) UPMC Sorbonne Universites
  *
@@ -23,16 +24,11 @@
  */
 
-#include <kernel_config.h>
-#include <hal_kernel_types.h>
+#include <almos_config.h>
+#include <hal_types.h>
 #include <hal_special.h>
 #include <hal_gpt.h>
-#include <hal_vmm.h>
-#include <hal_irqmask.h>
-#include <hal_macros.h>
 #include <printk.h>
-#include <memcpy.h>
-#include <remote_queuelock.h>
+#include <rwlock.h>
 #include <list.h>
-#include <xlist.h>
 #include <bits.h>
 #include <process.h>
